Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.usermgmt.servlets.jsp.taglib
Class GetProfileTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
              com.bea.p13n.usermgmt.servlets.jsp.taglib.ResultTag
                  com.bea.p13n.usermgmt.servlets.jsp.taglib.GetProfileTag

All Implemented Interfaces
  UserManagementTagConstants, Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

Deprecated Use com.bea.p13n.usermgmt.taglib.GetProfileTag

    public class GetProfileTag

extends ResultTag

Corresponds to `<um:getProfile>`.

The `<um:getProfile>` tag retrieves the profile corresponding to the provided profile key and profile type. The tag has no enclosed body. The retrieved profile can be treated simply as a `com.beasys.commerce.foundation.ConfigurableEntity`, or can be cast to the particular implementation of ConfigurableEntity that it is. Along with the profile key and profile, an explicit successor key and successor type can be specified, as specified by the `profileType` attribute. This successor will then be used, along with the retrieved profile, in subsequent invocations of the `<um:getProperty>` tag to ensure property inheritance from the successor. If no successor is retrieved, standard ConfigurableEntity successor search patterns will apply to retrieved properties.

Tag Attribute | Required | Type | Description
profileKey | yes | String | A unique identifier that can be used to retrieve the profile which is sought. Example: "`<%=username%>`"
profileType | no | String | The profile type to be retrieved. If specified, this profile type must correspond to a profile type registered via the Unified Profile Type tool in the User Management suite of administration tools, and its bean must conform to the rules of Unified User Profile creation. By default, the tag retrieves a profile of type `com.beasys.commerce.axiom.contact.User`, unless otherwise specified. If the profie is a UUP and the profile type is specified in the deployment descriptor, this attribute is not necessary; the correct type will automatically be retrieved. Example: "AcmeUser"
successorKey | no | String | A unique identifier that can be used to retrieve the profile successor. Example: "`<%=defaultGroup%>`"
successorType | no | String | The profile successor type to be retrieved. If specified, this profile type must correspond to a profile type registered via the Unified Profile Type tool in the User Management suite of administration tools, and its bean must conform to the rules of Unified User Profile creation. By default, the tag retrieves a profile of type `com.beasys.commerce.axiom.contact.Group`, unless otherwise specified. Example: "AcmeGroup"
scope | no | String | The HTTP scope of the retreived profile. Pass "`request`" or "`session`" as the value. Defaults to session.
groupOnly | no | String | Specifies to retrieve a `com.beasys.commerce.axiom.contact.Group`, rather than `com.beasys.commerce.axiom.contact.User`, for the default profile type. No successor will be retrieved when this value is true. Defaults to false.
profileId | no | String | A variable name from which the retrieved profile is available for the duration of the JSP's page scope.
successorId | no | String | A variable name from which the retrieved successor is available for the duration of the JSP's page scope.
result | no | String | A variable name from which the result of the operation is available. Possible Values: Success: `UserManagementTagConstants.GET_PROFILE_OK` Informational/Partial Success: `UserManagementTagConstants.NO_SUCH_PROFILE UserManagementTagConstants.NO_SUCH_SUCCESSOR` Error encountered: `UserManagementTagConstants.GET_PROFILE_FAILED`

See Also
  Serialized Form

Field Summary

Fields inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.ResultTag
`result`

Fields inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
`GROUP_MGR_REF, USER_MGR_REF`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTagConstants
`ADD_GROUP_FAILED, ADD_GROUP_OK, ADD_USER_FAILED, ADD_USER_OK, CREATE_GROUP_FAILED, CREATE_GROUP_OK, CREATE_USER_FAILED, CREATE_USER_OK, DEFAULT_SEARCH_EXP, DEFAULT_USER_LIMIT, GET_PROFILE_FAILED, GET_PROFILE_OK, GROUP_CHANGE_FAILED, GROUP_CHANGE_OK, GROUP_EXISTS, LOGIN_ERROR, LOGIN_FAILED, LOGIN_OK, NO_SUCH_PROFILE, NO_SUCH_SUCCESSOR, REMOVE_GROUP_FAILED, REMOVE_GROUP_OK, REMOVE_USER_FAILED, REMOVE_USER_OK, RESERVED_GROUP_NAME, RESERVED_USER_NAME, SET_PASSWORD_FAILED, SET_PASSWORD_OK, SET_PROPERTY_FAILED, SET_PROPERTY_OK, USER_EXISTS, USER_LIMIT_EXCEEDED, USER_SEARCH_FAILED, USER_SEARCH_OK`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`GetProfileTag()` Deprecated

Method Summary
`int` | `doStartTag()` Deprecated Check to see if the profile has already been retrieved; if not, retrieve it and set it in the request or session so that it can be used by the getProperty and setProperty tags.
`String` | `getGroupOnly()` Deprecated Get the flag indicating to retrieve a group's profile
`String` | `getProfileId()` Deprecated Get the id to assign the retrieved profile to
`String` | `getProfileKey()` Deprecated Get the key of the profile to retrieve
`String` | `getProfileType()` Deprecated Get the profile type to retrieve
`String` | `getScope()` Deprecated Get the scope to use (request or session)
`String` | `getSuccessorId()` Deprecated Get the id to assign the retrieved successor to
`String` | `getSuccessorKey()` Deprecated Get the key of the successor to retrieve
`String` | `getSuccessorType()` Deprecated Get the profile type of the successor to retrieve
`void` | `release()` Deprecated Reset the tag's attributes
`void` | `setGroupOnly(String s)` Deprecated Set the flag indicating to retrieve a group's profile
`void` | `setProfileId(String s)` Deprecated Set the id to assign the retrieved profile to
`void` | `setProfileKey(String s)` Deprecated Set the key of the profile to retrieve
`void` | `setProfileType(String s)` Deprecated Set the profile type to retrieve
`void` | `setScope(String s)` Deprecated Set the scope to use (request or session)
`void` | `setSuccessorId(String s)` Deprecated Set the id to assign the retrieved successor to
`void` | `setSuccessorKey(String s)` Deprecated Set the key of the successor to retrieve
`void` | `setSuccessorType(String s)` Deprecated Set the profile type of the successor to retrieve

Methods inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.ResultTag
`getResult, setResult`

Methods inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
`getGroupManager, getUserManager`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetProfileTag

    public GetProfileTag()

  Deprecated

Method Detail

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Deprecated
  Check to see if the profile has already been retrieved; if not, retrieve it and set it in the request or session so that it can be used by the getProperty and setProperty tags.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws
    `javax.servlet.jsp.JspException`

### release

    public void release()

  Deprecated
  Reset the tag's attributes

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `ResultTag`

### getProfileId

    public String getProfileId()

  Deprecated
  Get the id to assign the retrieved profile to

### setProfileId

    public void setProfileId(String s)

  Deprecated
  Set the id to assign the retrieved profile to

### getSuccessorId

    public String getSuccessorId()

  Deprecated
  Get the id to assign the retrieved successor to

### setSuccessorId

    public void setSuccessorId(String s)

  Deprecated
  Set the id to assign the retrieved successor to

### getProfileKey

    public String getProfileKey()

  Deprecated
  Get the key of the profile to retrieve

### setProfileKey

    public void setProfileKey(String s)

  Deprecated
  Set the key of the profile to retrieve

### getSuccessorKey

    public String getSuccessorKey()

  Deprecated
  Get the key of the successor to retrieve

### setSuccessorKey

    public void setSuccessorKey(String s)

  Deprecated
  Set the key of the successor to retrieve

### getGroupOnly

    public String getGroupOnly()

  Deprecated
  Get the flag indicating to retrieve a group's profile

### setGroupOnly

    public void setGroupOnly(String s)

  Deprecated
  Set the flag indicating to retrieve a group's profile

### getProfileType

    public String getProfileType()

  Deprecated
  Get the profile type to retrieve

### setProfileType

    public void setProfileType(String s)

  Deprecated
  Set the profile type to retrieve

### getSuccessorType

    public String getSuccessorType()

  Deprecated
  Get the profile type of the successor to retrieve

### setSuccessorType

    public void setSuccessorType(String s)

  Deprecated
  Set the profile type of the successor to retrieve

### getScope

    public String getScope()

  Deprecated
  Get the scope to use (request or session)

### setScope

    public void setScope(String s)

  Deprecated
  Set the scope to use (request or session)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.